Macaulay2 » Documentation
Packages » GradedLieAlgebras :: - ExtElement
next | previous | forward | backward | up | index | toc

# - ExtElement -- unary negation

- Operator: -
- Usage:
    `u = - x`
- Inputs:
  - x, an instance of the type ExtElement, $x$ is of type $E$, where $E$ is of type ExtAlgebra
- Outputs:
  - u, an instance of the type ExtElement, $u$ is of type $E$, the negation of $x$

## Description

The symbol - is used as notation for the Ext-algebra negation.

    i1 : L = lieAlgebra{a,b,c}/{a b,b c}

    o1 = L

    o1 : LieAlgebra

    i2 : E = extAlgebra(3,L)

    o2 = E

    o2 : ExtAlgebra

    i3 : -(2 ext_3-ext_4)

    o3 =  - 2ext_3 + ext_4

    o3 : E

## See also

- ExtAlgebra -- the class of all Ext-algebras

## Ways to use this method:

- - ExtElement -- unary negation

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/GradedLieAlgebras/doc.m2:2260:0.